<template>
  <div>
    <h1 class="_container">{{ $t('js.maps.new.title') }}</h1>

    <rui-tabs>
      <rui-button :to="{ name: 'newPictureMap' }">{{ $t('js.maps.form.picture_map') }}</rui-button>
      <rui-button :to="{ name: 'newOSMMap' }">{{ $t('js.maps.form.osm_map') }}</rui-button>
    </rui-tabs>

    <router-view class="_container -mtd" />
  </div>
</template>

<script>
import RuiButton from '@experiments-labs/rise_ui/src/components/Button/Button.vue'
import RuiTabs from '@experiments-labs/rise_ui/src/components/Tabs/Tabs.vue'

export default {
  name: 'GpaNewMapLayout',
  components: { RuiButton, RuiTabs },
}
</script>
